/**

Responsive CSS



*/

@media (min-width: 320px) and (max-width: 800px) {

  html, body {
    overflow-y: auto;
    padding: 0 0 2rem 0;
    background-color: unset;
  }

  body {
    background-color: black;
  }

  main {
    height: 75%;
  }
  
  .site-footer .bottomC {
    display: none;
  }
  .owl-carousel .owl-nav button.owl-prev, .owl-carousel .owl-nav button.owl-next {
    display: none;
  }

  .owl-theme .owl-dots {
    padding: 1rem 5rem;
    text-align: unset;
  }

  #logo {
    left: 2rem;
  }

  #projects {
    display: grid;
    grid-template-rows: auto auto auto;
    width: 99%;
    height: 100%;
    min-height: calc(100% - 20px);
    padding: 0 2rem;
  }

  .projects__title, .projects__main, .projects__thumb {
    width: 100%;
  }

  .site-footer {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    height: 260px;
    padding: 0 2rem;
  }


  .site-footer .bottomR {
    justify-content: unset;
    text-align: unset;
    flex-direction: unset;
  }

  .site-footer .bottomR a {
    padding: 0 1rem 0 0;
    text-decoration: none;
  }

  .linkarrow:hover {
    background: unset;
    background-size: unset;
    text-align: unset;
    background-position: unset;
  }

  .title800 {

    font-family: 'Abel';
    font-size: 1.8rem;
    color: var(--default-color);
    text-transform: uppercase;
    font-weight: 900;

  }
  .title600 {
    font-family: 'Abel';
    font-size: 1.2rem;
    text-transform: uppercase;
    font-weight: 600;
  }

  #about {
    padding: 0 2rem;
    font-size: 1.5rem;
  }

  .aboutL {

    width: 450px !important;
    align-items: center !important;
    font-size: 1.5rem;
    line-height: 1.9rem;
  }

  .wp-block-media-text .wp-block-media-text__content{
    padding: 0 .2rem;
  }


}

@media (min-width: 500px) and (max-width: 1200px){

  #projects {
    grid-template-columns: 15% 75% 20%;  
  }

  .projects__main img {
  width: 95% !important;
  height: 95% !important;
  }

  .site-footer {
    height: 100px;
  }

}

@media (min-width: 801px) and (max-width: 1300px){

  .owl-next {
    left: 86vw;
  }

}





/*Uniquement CSS Responsive pour le MENU*/

@media (min-width:801px) and (max-width: 1150px) {

  .site-footer{

    font-size: .7rem;

  }

  .site-footer .bottomR {

    font-size: .7rem;

  }

  .site-footer .bottomL {

    width: 11rem;

  }



  .site-footer .bottomC .right__descr {

    min-width: 15rem;

    width: 15rem;

  }

}



/*Uniquement CSS Responsive pour le MENU*/

@media (max-width: 900px) {

  #primary-menu {

    display: none;

  }



  #menuToggle {

    display: block;

  }



  .fullscreenMenu {

    position: absolute;

    width: 100%;

    height: 100vh;

    background: white;

  }



  .fullscreenMenu.active {

    top: 0;

    left: 0;

    display: flex;

    flex-direction: column;

    align-items: center;

    justify-content: center;

    z-index: 4;

  }



  .fullscreenMenu.active nav {

    display: flex;

    flex-direction: column;

    align-items: center;

    top: unset;

    border: 0;

    background: none;

  }



  .fullscreenMenu.active nav label {

    font-size: 2rem;

    margin: 10px 0;

  }

}

